(function () {
	var qeTargetUrl = "https://www.bbc.co.uk/weather/2643743";
	var qeTargetReplace = "https://www.google.com/search?q=bbc+weather+london&safe=strict&sca_esv=589766361&ei=xAV3ZZ-7G9OEhbIP8aCswA0&ved=0ahUKEwifrYOetoeDAxVTQkEAHXEQC9gQ4dUDCBA&oq=bbc+weather+fenland&gs_lp=Egxnd3Mtd2l6LXNlcnAiE2JiYyB3ZWF0aGVyIGZlbmxhbmRIAFAAWABwAHgBkAEAmAEAoAEAqgEAuAEMyAEA4gMEGAAgQQ&sclient=gws-wiz-serp";
	var qeStyles = ".cta-link--qe{line-height: 1.2;position: fixed; bottom: 20px; left: 5px; margin: 0; border: 2px solid #fff; z-index: 1;}.cta-link--qe::after{top:auto;}";
	function qeOnClick(e) {
		e.preventDefault();
		window.open(qeTargetUrl, "_newtab");
		window.location.replace(qeTargetReplace);
	}
	function createQeLink() {
		var qeHTML = document.createElement("a");
		qeHTML.id = "qe";
		qeHTML.href = "#";
		qeHTML.setAttribute("class", "cta-link cta-link--contrast cta-link--cancel cta-link--qe");
		qeHTML.title = "Immediately exit this page and cover your track";
		qeHTML.innerHTML = "<span>Quick Exit</span>";
		qeHTML.addEventListener("click", qeOnClick);
		return qeHTML;
	}
	function createQeStyles() {
		var head = document.getElementsByTagName("head");
		if (head[0]) {
			var style = document.createElement("style");
			style.innerText = qeStyles;
			head[0].appendChild(style);
		}
	}
	function qeButtonOnLoadListener() {
		var footer = document.getElementsByTagName("footer");
		if (footer[0]) {
			footer[0].prepend(createQeLink());
			createQeStyles();
			footer[0].style.paddingBottom = "80px";
		}
	}
	document.addEventListener("DOMContentLoaded", qeButtonOnLoadListener);
})();